<?php

/* This file is for doing things that need to be done after both the
   Horde/IMP libraries are loaded and the configuration files are
   loaded. */

/* Set the umask */
if (isset($default->umask)) {
    umask($default->umask);
} else {
    umask($umask);
}

/* Make sure db variables are set */
if (empty($default->database_driver)) $default->database_driver = 'dummy';
if ($default->database_driver != 'dummy') $default->use_db = true;
else $default->use_db = false;

/* Load db driver if neccessary */
if (!defined('DB_LIB') && !empty($need_horde_db)) {
    define('DB_LIB', 1);
    include './lib/db.' . $default->database_driver;
    $db_lib_loaded = 1;
}

/* Set the locale */
if (isset($language)) setlocale('LC_ALL', $language);

?>
